# stg-reset(1) Manual Page

## NAME

stg-reset - Reset the patch stack to an earlier state

## SYNOPSIS

    stg reset [--hard] [<committish> [<patchname>…]]
    stg reset --hard

## DESCRIPTION

Reset the patch stack to an earlier state. If no state is specified, reset only the changes in the worktree.

The state is specified with a commit id from the stack log, which may be viewed with stg log. Patch name arguments may optionally be provided to limit which patches are reset.

## OPTIONS

--hard

  Discard changes in the index and worktree

## StGit

Part of the StGit suite - see stg(1)